%define         openssl_pc  %(if test -z `rpm -ql openssl-devel | grep pkgconfig` ; then echo 0; else echo 1; fi )

Name:           sylpheed-claws
Version:        2.6.0
Release:        1%{?dist}
Summary:        The extended version of Sylpheed
Group:          Applications/Internet
License:        GPL
URL:            http://claws.sylpheed.org
Source0:        http://dl.sf.net/sylpheed-claws/sylpheed-claws-2.6.0.tar.bz2
Source1:        sylpheed-claws.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  flex, bison
BuildRequires:  glib-devel >= 2.6.2
BuildRequires:  gtk2-devel >= 2.4.9
BuildRequires:  compface >= 1.4
BuildRequires:  openssl-devel >= 0.9.7
BuildRequires:  openldap-devel >= 2.0.7
BuildRequires:  aspell-devel >= 0.50.1
BuildRequires:  pilot-link-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  clamav-devel
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  gnupg >= 1.2.1, gpgme-devel >= 1.0.1
BuildRequires:  desktop-file-utils startup-notification-devel
BuildRequires:  pkgconfig
BuildRequires:  gettext-devel
BuildRequires:  libetpan-devel >= 0.48
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  libtool

%description
The bleeding edge branch of Sylpheed, a GTK+ based, lightweight, and fast
e-mail client.
The main reason for this bleeding edge branch is to lift some of the burden
from the shoulders of Hiroyuki Yamamoto, Sylpheed's creator. The idea is that
we regularly resync with Hiroyuki's main branch, and vice-versa.

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the header files  and pkgconfig file needed
for development with %{name}.

%package plugins-clamav
Summary:        Clamav antivirus plugin for sylpheed-claws
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugins-clamav
%{summary}

%package plugins-dillo
Summary:        Dillo HTML viewer plugin for sylpheed-claws
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       dillo

%description plugins-dillo
%{summary}

%package plugins-spamassassin
Summary:        Spamassassin plugin for sylpheed-claws
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       spamassassin

%description plugins-spamassassin
%{summary}

%package plugins-pgp
Summary:        PGP plugin for signing and encrypting mail
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugins-pgp
%{summary}

%package plugins-bogofilter
Summary:        Bogofilter plugin for sylpheed-claws
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}

%description plugins-bogofilter
%{summary}

%prep
%setup -q

%build
%if %openssl_pc
MY_OPENSSL_CFLAGS=`pkg-config openssl --cflags`
%endif
CFLAGS="${MY_OPENSSL_CFLAGS} ${RPM_OPT_FLAGS}" \
%configure --enable-openssl --enable-ipv6 \
           --enable-ldap --enable-jpilot \
           --enable-spamassassin-plugin \
           --disable-mathml-viewer-plugin \
           --enable-aspell \
           --disable-dependency-tracking \
           --disable-rpath
%ifarch x86_64
sed -i "s|-L/usr/X11R6/lib|-L/usr/X11R6/lib64|" \
src/plugins/trayicon/Makefile
%endif
%{__make} %{?_smp_mflags} LIBTOOL=/usr/bin/libtool
%{__make} check

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall gnomedatadir=${RPM_BUILD_ROOT}/%{_datadir}
%find_lang sylpheed-claws

desktop-file-install \
        --vendor=fedora \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
        --add-category=X-Fedora \
				%{SOURCE1}

%{__rm} -f ${RPM_BUILD_ROOT}%{_infodir}/dir
%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/gnome

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT}/%{_libdir}/sylpheed-claws/plugins/ -type f -name \
"*.a" -exec rm -f {} ';'

%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

%{__install} %{_builddir}/%{name}-%{version}/sylpheed-claws.png \
${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files -f sylpheed-claws.lang
%defattr(-,root,root,-)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING
%doc NEWS README
%doc TODO
%{_bindir}/*
%dir %{_libdir}/sylpheed-claws/
%dir %{_libdir}/sylpheed-claws/plugins/
%{_libdir}/sylpheed-claws/plugins/trayicon.so
%{_datadir}/pixmaps/*
%{_datadir}/sylpheed-claws/
%{_datadir}/sylpheed-claws/*
%{_mandir}/man1/*
%{_datadir}/applications/*
#%{_datadir}/icons/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/sylpheed-claws/
%{_libdir}/pkgconfig/sylpheed-claws.pc
%{_libdir}/sylpheed-claws/plugins/*deps

%files plugins-clamav
%defattr(-,root,root,-)
%{_libdir}/sylpheed-claws/plugins/clamav_plugin.so

%files plugins-dillo
%defattr(-,root,root,-)
%{_libdir}/sylpheed-claws/plugins/dillo_viewer.so

%files plugins-spamassassin
%defattr(-,root,root,-)
%{_libdir}/sylpheed-claws/plugins/spamassassin.so

%files plugins-pgp
%defattr(-,root,root,-)
%{_libdir}/sylpheed-claws/plugins/pgp*.so

%files plugins-bogofilter
%defattr(-,root,root,-)
%{_libdir}/sylpheed-claws/plugins/bogofilter.so

%changelog
* Mon Nov 06 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.6.0-1
- version upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.6-1
- version upgrade

* Thu Oct 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.5-1
- version upgrade

* Sat Oct 07 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.3-1
- version upgrade

* Wed Sep 27 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.2-1
- version upgrade

* Tue Sep 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.5.1-1
- version upgrade
- should fix (#204340)

* Mon Jul 31 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.4.0-1
- version upgrade

* Mon Jun 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.3.1-1
- version upgrade

* Mon Jun 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.3.0-1
- version upgrade

* Fri Jun 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.3-1
- version upgrade

* Mon Jun 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.1-1
- version upgrade

* Mon May 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.2.0-1
- version upgrade

* Sat Apr 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- split plugins from main package to ease requirements (#189113)
- version upgrade (#183357)
- fix libpisock (#189585)

* Wed Apr 05 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.1.0-1
- version upgrade

* Fri Mar 31 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-3
- #187383: add BR libgnomeprintui22-devel

* Thu Mar 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-2
- fix .desktop

* Fri Feb 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
2.0.0-1
- version upgrade
- fix up summary

* Mon Nov 21 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.100-2
- drop program suffix (causes sylpheed-claws-claws bin)

* Thu Nov 17 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.100-1
- version upgrade

* Sat Oct 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.15-1
- version upgrade

* Fri Sep 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.14-1
- version upgrade

* Mon Aug 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-4
- fix files

* Mon Aug 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-3
- add gmp-devel BR

* Mon Aug 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-2
- add bzip2-devel BR

* Sun Jul 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.13-1
- upgrade
- switch s/gpgme03/gpgme/
- need libetpan

* Thu Jul 07 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.12-2
- add some doc
- fix pixmap installation

* Wed Jul 06 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.12-1
- version upgrade
- add dist tag

* Thu May 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.9.11-1
- change to gtk2 version

* Thu Apr 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.4-2
- minor cleanups
- remove aspell version check

* Thu Mar 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.4-1
- Version upgrade

* Wed Mar 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.3-1
- Version upgrade

* Fri Mar 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0.1-3
- Don't include static libs in plugin directory.
- Set --with-gpgme-prefix to use relocated gpgme03 package contents.
- BR startup-notification-devel

* Sat Mar 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.0.1-2
- fixed some sylpheed/sylpheed-claws
- removed Conflictes sylpheed

* Wed Feb 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:1.0.1-1
- version upgrade
- cleaned up BuildRequires/Requires and configure options

* Tue Dec 21 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.13-1
- version upgrade
- remove old configure options for GnuPG support (moved to a new plugin now)
- enable new pgpmime-plugin

* Tue Jul 20 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.12-1
- version upgrade
- lots of s/sylpheed/sylpheed-claws/

* Mon May 31 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.11-0.fdr.1
- version upgrade

* Tue Mar 09 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.10-0.fdr.1
- new upstream version

* Fri Feb 13 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.9-0.fdr.1
- version upgrade
* Thu Jan 01 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.8-0.fdr.1
- version upgrade

* Thu Dec 18 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.7-0.fdr.2
- added missing defattr to devel rpm (fixes pending issue)

* Thu Nov 27 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.7-0.fdr.1
- version upgrade

* Wed Oct 08 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.6-0.fdr.8
- version upgrade

* Tue Sep 16 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.5-0.fdr.7
- minor fixes (see #545 #2{1,2})

* Mon Sep 15 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.5-0.fdr.6
- added specfile changes provided by Michael Schwendt
- made aspell-devel conditional severn only

* Fri Sep 12 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.5-0.fdr.5
- version upgrade (thus devel package)
- readded aspell-devel (still only works for > severn but 'a nice to have')

* Sat Aug 30 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.4-0.fdr.4
- reintroduced --enable-aspell without BuildRequires so that it will work in
  severn and just be ignored on > shrike
- changed openssl cflags (now via pkg-config)

* Wed Aug 06 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.4-0.fdr.3
- upgrade to new version
- no aspell support till version >= 0.5.0 is aviable

* Sat Aug 02 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.3-0.fdr.2
- Added BuildRequires openldap-devel, pilot-link-devel
- Excluded static archives
- Changed desktop file

* Fri Aug 01 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.9.3-0.fdr.1
- Initial RPM release.
